<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/frameLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_grey"
    tools:context=".activities.MainActivity">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/my_toolbar"
            style="@style/Widget.MaterialComponents.Toolbar.Primary"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            app:menu="@menu/menu"
            app:navigationIcon="@drawable/ic_logo"
            app:title="@string/app_name" />

    </com.google.android.material.appbar.AppBarLayout>


    <TextView
        android:id="@+id/lbl_username"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin16"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="@dimen/margin16"
        android:textAlignment="center"
        android:textAppearance="@style/text_style"
        android:textSize="24sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/appBarLayout" />

    <View
        android:id="@+id/divider2"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="8dp"
        android:background="@color/colorAccent"
        app:layout_constraintTop_toBottomOf="@+id/lbl_username" />

    <TextView
        android:id="@+id/selected_acc"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="@dimen/margin16"
        android:layout_marginEnd="16dp"
        android:fontFamily="@font/montserrat"
        android:text="@string/timetrack_account"
        android:textAppearance="@style/text_style"
        android:textColor="@color/logo_white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@id/account_spinner"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/divider2"
        app:layout_constraintVertical_bias="0.0" />

    <ToggleButton
        android:id="@+id/button_start_stop"
        style="@style/Widget.MaterialComponents.Button"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin16"
        android:layout_marginEnd="@dimen/margin16"
        android:layout_marginBottom="@dimen/margin16"
        android:background="@color/colorPrimary"
        android:checked="true"
        android:enabled="false"
        android:textAppearance="@style/text_style"
        android:textColor="@color/logo_white"
        android:textOff="@string/stop"
        android:textOn="@string/btn_start_text"
        android:textStyle="bold"
        app:cornerRadius="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <Spinner
        android:id="@+id/account_spinner"
        android:layout_width="180dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:background="@color/colorPrimary"
        android:foreground="@android:drawable/arrow_down_float"
        android:foregroundGravity="right|center_horizontal"
        android:textAlignment="textEnd"
        app:layout_constraintBottom_toBottomOf="@+id/selected_acc"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/selected_acc" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/display_description_layout"
        style="@style/LoginTextInputLayoutStyle"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin16"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="@dimen/margin16"
        android:colorControlNormal="@color/logo_blue"
        android:hint="Description"
        android:textColorHint="@color/logo_white"
        app:boxBackgroundColor="@color/common_google_signin_btn_text_dark_disabled"
        app:boxBackgroundMode="outline"
        app:boxCornerRadiusBottomEnd="0dp"
        app:boxCornerRadiusBottomStart="0dp"
        app:layout_constraintBottom_toTopOf="@+id/display_revenue_layout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/selected_acc"
        app:layout_constraintVertical_bias="0.0"
        app:layout_constraintVertical_chainStyle="packed">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/display_description"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:enabled="false"
            android:inputType="textPersonName"
            android:lineSpacingExtra="8sp"
            android:textAppearance="@style/text_style"
            android:textColor="@color/logo_white"
            android:textColorHint="@color/logo_white"
            android:textSize="14sp" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/display_revenue_layout"
        style="@style/LoginTextInputLayoutStyle"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin16"
        android:layout_marginEnd="@dimen/margin16"
        android:layout_marginBottom="16dp"
        android:colorControlNormal="@color/logo_blue"
        android:hint="Revenue"
        android:textColorHint="@color/logo_white"
        app:boxBackgroundColor="@color/common_google_signin_btn_text_dark_disabled"
        app:boxBackgroundMode="outline"
        app:boxCornerRadiusTopEnd="0dp"
        app:boxCornerRadiusTopStart="0dp"
        app:layout_constraintBottom_toTopOf="@+id/latitude"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/display_description_layout"
        app:layout_constraintVertical_bias="0.0"
        app:layout_constraintVertical_chainStyle="packed">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/display_revenue"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:enabled="false"
            android:inputType="textPersonName"
            android:lineSpacingExtra="8sp"
            android:textAppearance="@style/text_style"
            android:textColor="@color/logo_white"
            android:textColorHint="@color/logo_white"
            android:textSize="14sp" />
    </com.google.android.material.textfield.TextInputLayout>


    <TextView
        android:id="@+id/altitude"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="dummy"
        android:textAppearance="@style/text_style"
        app:layout_constraintBottom_toTopOf="@+id/button_start_stop"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/latitude"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:text="dummy"
        android:textAppearance="@style/text_style"
        android:textColor="@color/logo_white"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/display_revenue_layout" />

    <TextView
        android:id="@+id/longitude"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:text="dummy"
        android:textAppearance="@style/text_style"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/latitude" />


</androidx.constraintlayout.widget.ConstraintLayout>